xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmltooling::NDC Class Reference

A portable stack-based context for diagnostic logging. More...

`#include <xmltooling/util/NDC.h>`

## Public Member Functions
| NDC (const char *context)
| Constructor pushes logging context onto diagnostic stack. More...
| NDC (const std::string &context)
| Constructor pushes logging context onto diagnostic stack. More...
| ~NDC ()
| Destructor pops context off of diagnostic stack.

## Detailed Description

A portable stack-based context for diagnostic logging.

## Constructor & Destructor Documentation

xmltooling::NDC::NDC | ( | const char * | context | ) |

Constructor pushes logging context onto diagnostic stack.

Parameters

  context | null-terminated label for context

xmltooling::NDC::NDC | ( | const std::string & | context | ) |

Constructor pushes logging context onto diagnostic stack.

Parameters

  context | string label for context

The documentation for this class was generated from the following file:

- xmltooling/util/NDC.h